## valgrind-3.6.0 3.6.0~svn20100724-0ubuntu2-maemo1

=== debian/changelog ===
valgrind-3.6.0 (1:3.6.0~svn20100724-0ubuntu2-maemo1) unstable; urgency=low

  * Packaging for maemo5-fremantle (configure.in workaround)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 14 Nov 2010 17:33:28 +0200

valgrind (1:3.6.0~svn20100724-0ubuntu2) maverick; urgency=low

  * Remove BUILD_ALL_DOCS=no snippet from rules; this isn't needed anymore as
    texlive-base got fixed.
  * Pass CFLAGS to configure, and also to make due to KDE #247980 -- the make
    part really needs to be reverted as it requires duplicating the upstream
    flags right now.
  * Honor noopt in DEB_BUILD_OPTIONS by passing -O0 in CFLAGS when noopt is
    present.
  * Pass -marm in CFLAGS when DEB_HOST_GNU_CPU is arm; works around new FTBFS
    on armel.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 15 Aug 2010 19:55:28 +0200

valgrind (1:3.6.0~svn20100724-0ubuntu1) maverick; urgency=low

  * New upstream snapshot.
    - Supports GLIB 2.12; LP: #602132.
    - Drop dpatch 01_pcm-ioctl; fixed upstream slighlty differently; see
      KDE #227325.
    - Drop dpatch 01_more-vg-n-threads; merged upstream.
    - Drop dpatch 80_splice_backport; merged upstream.
    - Update dpatch 99-autoreconf.
    - Update documentation on creating snapshots in debian/copyright and add
      debian/valgrind-docs-build.diff to help creating these (works around an
      issue with building the docs during make dist).

 -- Loïc Minier <lool@dooz.org>  Sun, 15 Aug 2010 10:54:00 +0200

valgrind (1:3.6.0~svn20100212-0ubuntu5) lucid; urgency=low

  * No-change rebuild to get the package picked up for building on armel.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Apr 2010 16:04:59 +0100

valgrind (1:3.6.0~svn20100212-0ubuntu4) lucid; urgency=low

  * New dpatch, 60_thumb-sigill-fixes, from upstream KDE #231108, fixes
    SIGILLs on startup when build in Thumb mode.  This allows valgrind-ing
    simple ARM-mode binaries, but supporting Thumb-mode binaries requires much
    larger changes; LP: #537458.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 26 Mar 2010 14:47:17 +0100

valgrind (1:3.6.0~svn20100212-0ubuntu3) lucid; urgency=low

  * New dpatch, 80_splice_backport, backport of splice() support from r11055;
    LP: #537688.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sat, 13 Mar 2010 10:36:14 +0100

valgrind (1:3.6.0~svn20100212-0ubuntu2) lucid; urgency=low

  * Fix typo in 02_version dpatch: default.supp instead of debian.supp.
  * Only distclean if there's a Makefile.
  * Clean debian.supp.
  * Fix dependencies in rules to be -j safe and to patch before configure;
    also, use $(DPATCH_STAMPFN) dep instead of patch as the latter is PHONY
  * Forwarded manpage update proposal upstream in KDE #226609 and disabled
    patch 01_manpage since it fails to unapply due to upstream removing the
    manpage in distclean.
  * Configure with --disable-maintainer-mode.
  * Bump debhelper build-dep to >= 5.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 12 Feb 2010 22:34:11 +0100

valgrind (1:3.6.0~svn20100212-0ubuntu1) lucid; urgency=low

  * New upstream SVN snapshot from r11040 (and VEX r1959).
    - Document in copyright that this snapshot tarball was created with "make
      BUILD_ALL_DOCS=no dist" in svn://svn.valgrind.org/valgrind/trunk while
      Debian #566591 affects the PDF build.
    - Also add BUILD_ALL_DOCS=no to rules for the same reason.
    - Update patch 02_version to apply to configure.in instead of configure
      and to only patch the version, bug contact, and DEFAULT_SUPP.
    - Drop patch 92_glibc-2.11-support, in upstream tarball.
    - Update patch 99_autoreconf.
    - Add armel to binary package architecture, lots of recent upstream
      development toward an ARM port recently!  :-)

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 12 Feb 2010 18:34:15 +0100

valgrind (1:3.5.0-3ubuntu2) lucid; urgency=low

  * New patches, 92_glibc-2.11-support, cherry-picked from upstream r10941;
    adds glibc 2.11 support, and 99_autoreconf.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 12 Feb 2010 12:44:53 +0100

valgrind (1:3.5.0-3ubuntu1) lucid; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Refresh 91_build_with_fno_stack_protector.dpatch.
    - Add lpia to Architecture.
    - Drop completely bogus or'ed build-dep on gcc-4.3 on amd64
  * Dropped changes, superseded in Debian:
    - Move libc6-dbg to Recommends

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 05 Dec 2009 01:06:45 +0000

valgrind (1:3.5.0-3) unstable; urgency=low

  * Rebuilt againts libc6 2.10.1.
  * debian/control:
    - Now libc6-dbg is a dependency (valgrind won't work without it now)
     (Closes: #556542, #556165, #553016)
    - Valkyrie added to suggested packages.

 -- Andrés Roldán <aroldan@debian.org>  Tue, 17 Nov 2009 15:12:26 +0000

valgrind (1:3.5.0-2ubuntu2) karmic; urgency=low

  * Drop completely bogus or'ed build-dep on gcc-4.3 on amd64 - if the
    package in the archive builds for biarch, we shouldn't allow non-multilib
    gcc as an alternative, this would just result in a package misbuild.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Oct 2009 01:28:53 +0000

valgrind (1:3.5.0-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Refresh 91_build_with_fno_stack_protector.dpatch.
    - Add lpia to Architecture.
  * Move libc6-dbg to Recommends (LP: #423485).

 -- Kees Cook <kees@ubuntu.com>  Fri, 02 Oct 2009 15:51:36 -0700

valgrind (1:3.5.0-2) unstable; urgency=low

  * debian/control:
    - Added libc6-dev-i386 to build-dependencies on amd64. 
      May reopen #507752 but closes: #548067.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 24 Sep 2009 20:18:57 +0000

valgrind (1:3.5.0-1) unstable; urgency=low

  * New upstream version. (Closes: #545700)
  * debian/patches/02_version: 
    - Updated to fit this new version (Thanks to Andreas Beckmann)
  * debian/patches/01_pcm-ioctl.patch:
    - Updated
  * debian/patches/01_more-vg-n-threads.dpatch:

