=== debian/rules ===
--- 
+++ 
@@ -46,20 +46,20 @@
 	dh_clean -k
 	dh_installdirs 
 
-	$(MAKE) install prefix=$(CURDIR)/debian/valgrind/usr
+	$(MAKE) install prefix=$(CURDIR)/debian/valgrind/opt/valgrind
 
 	# Debian stuff
-	cp -f debian/debian-libc6-dbg.supp $(target)/usr/lib/valgrind
-	mv -f $(target)/usr/bin/valgrind $(target)/usr/bin/valgrind.bin
-	cp -f debian/valgrind.sh $(target)/usr/bin/valgrind
-	chown root.root $(target)/usr/bin/valgrind.bin $(target)/usr/bin/valgrind
-	chmod 755 $(target)/usr/bin/valgrind.bin $(target)/usr/bin/valgrind
+	cp -f debian/debian-libc6-dbg.supp $(target)/opt/valgrind/lib/valgrind
+	mv -f $(target)/opt/valgrind/bin/valgrind $(target)/opt/valgrind/bin/valgrind.bin
+	cp -f debian/valgrind.sh $(target)/opt/valgrind/bin/valgrind
+	chown root.root $(target)/opt/valgrind/bin/valgrind.bin $(target)/opt/valgrind/bin/valgrind
+	chmod 755 $(target)/opt/valgrind/bin/valgrind.bin $(target)/opt/valgrind/bin/valgrind
 
-	install -p -m644 debian.supp $(target)/usr/lib/valgrind
-	install -p -d -m755 $(target)/usr/share/doc/valgrind/html
-	install -p -d -m755 $(target)/usr/share/lintian/overrides
-	install -p -m644 debian/overrides $(target)/usr/share/lintian/overrides/valgrind
-	install -p -m644 debian/valgrind.bash $(target)/etc/bash_completion.d/valgrind
+	install -p -m644 debian.supp $(target)/opt/valgrind/lib/valgrind
+	install -p -d -m755 $(target)/opt/valgrind/share/doc/valgrind/html
+	install -p -d -m755 $(target)/opt/valgrind/share/lintian/overrides
+	install -p -m644 debian/overrides $(target)/opt/valgrind/share/lintian/overrides/valgrind
+	#install -p -m644 debian/valgrind.bash $(target)/opt/valgrind/bash_completion.d/valgrind
 
 
 binary-indep: build install
