## valgrind-3.6.0 3.6.0~svn20100724-0ubuntu2-maemo3

=== debian/changelog ===
valgrind-3.6.0 (1:3.6.0~svn20100724-0ubuntu2-maemo3) unstable; urgency=low

  * Packaging for maemo5-fremantle (configure.in workaround)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 15 Nov 2010 19:33:28 +0200
