=== debian/control ===
Source: valgrind-3.6.0
Section: devel
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrés Roldán <aroldan@debian.org>
Build-Depends: debhelper (>= 5), libc6-dev (>> 2.3.0), autotools-dev, dpatch (>> 2.0.0), gdb, gcc-multilib [amd64], libc6-dev-i386 (>> 2.3.0) [amd64]
Standards-Version: 3.7.3.0

Package: valgrind-3.6.0
Architecture: i386 amd64 powerpc lpia armel
Depends: ${shlibs:Depends}, libc6-dbg
Recommends: gdb
Description: A memory debugger and profiler
 Valgrind is a GPL'd tool to help you find memory-management problems in your
 programs. When a program is run under Valgrind's supervision, all reads and
 writes of memory are checked, and calls to malloc/new/free/delete are
 intercepted. 
 .
 Valgrind can debug more or less any dynamically-linked ELF x86/Linux, 
 amd64/Linux and ppc/Linux executables, without modification, recompilation, 
 or anything.
 .
 Valgrind provides a generic infrastructure for supervising the execution of
 programs called "tools". This is done by providing a way to instrument 
 programs in very precise ways, making it relatively easy to support 
 activities such as dynamic error detection and profiling. The Valgrind 
 distribution currently includes three tools: a memory error detectors, a 
 cache (time) profiler and a heap (space) profiler.
