=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,10 @@
 	dh_clean -k
 	dh_installdirs 
 
+	install -d ${CURDIR}/debian/valgrind/opt/valgrind
+
 	$(MAKE) install prefix=$(CURDIR)/debian/valgrind/opt/valgrind
+
 
 	# Debian stuff
 	cp -f debian/debian-libc6-dbg.supp $(target)/opt/valgrind/lib/valgrind
