## valgrind-3.6.0 3.6.0~svn20100724-0ubuntu2-maemo4

=== debian/changelog ===
valgrind-3.6.0 (1:3.6.0~svn20100724-0ubuntu2-maemo4) unstable; urgency=low

  * Packaging for maemo5-fremantle (configure.in workaround)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 14 Nov 2010 17:33:28 +0200
