=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: i386 amd64 powerpc lpia armel
 Depends: ${shlibs:Depends}, libc6-dbg
 Recommends: gdb
-Description: A memory debugger and profiler
+Description: A memory debugger and profiler (from Lucid. non-Optified)
  Valgrind is a GPL'd tool to help you find memory-management problems in your
  programs. When a program is run under Valgrind's supervision, all reads and
  writes of memory are checked, and calls to malloc/new/free/delete are
