=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 config.status: config.sub config.guess $(DPATCH_STAMPFN)
 	dh_testdir
 	cat xfree-4.supp debian/debian.supp > debian.supp
-	./configure --prefix=/usr \
+	./configure --prefix=/opt/valgrind \
 		--mandir=\$${prefix}/share/man \
 		--disable-maintainer-mode \
 		CFLAGS="$(CFLAGS)"
@@ -46,20 +46,31 @@
 	dh_clean -k
 	dh_installdirs 
 
-	$(MAKE) install prefix=$(CURDIR)/debian/valgrind/usr
+	$(MAKE) install prefix=$(target)/opt/valgrind
 
-	# Debian stuff
+	#Folder for default suppress file (no reason for optify)
+	install -d $(target)/usr/lib/
+
+	#Folder for start script on /usr/bin
+	install -d $(target)/usr/bin
+
+	#suppress file
 	cp -f debian/debian-libc6-dbg.supp $(target)/usr/lib/valgrind
-	mv -f $(target)/usr/bin/valgrind $(target)/usr/bin/valgrind.bin
-	cp -f debian/valgrind.sh $(target)/usr/bin/valgrind
-	chown root.root $(target)/usr/bin/valgrind.bin $(target)/usr/bin/valgrind
-	chmod 755 $(target)/usr/bin/valgrind.bin $(target)/usr/bin/valgrind
 
-	install -p -m644 debian.supp $(target)/usr/lib/valgrind
-	install -p -d -m755 $(target)/usr/share/doc/valgrind/html
-	install -p -d -m755 $(target)/usr/share/lintian/overrides
-	install -p -m644 debian/overrides $(target)/usr/share/lintian/overrides/valgrind
-#	install -p -m644 debian/valgrind.bash $(target)/etc/bash_completion.d/valgrind
+	#start-script
+	cp $(CURDIR)/valgrind_start_script.sh $(target)/usr/bin/valgrind
+
+	#binary and starter
+	mv -f $(target)/opt/valgrind/bin/valgrind $(target)/opt/valgrind/bin/valgrind.bin
+	cp -f debian/valgrind.sh $(target)/opt/valgrind/bin/valgrind
+	chown root.root $(target)/opt/valgrind/bin/valgrind.bin $(target)/opt/valgrind/bin/valgrind
+	chmod 755 $(target)/opt/valgrind/bin/valgrind.bin $(target)/opt/valgrind/bin/valgrind
+
+	install -p -m644 debian.supp $(target)/opt/valgrind/lib/valgrind
+	install -p -d -m755 $(target)/opt/valgrind/share/doc/valgrind/html
+	install -p -d -m755 $(target)/opt/valgrind/share/lintian/overrides
+	install -p -m644 debian/overrides $(target)/opt/valgrind/share/lintian/overrides/valgrind
+	#install -p -m644 debian/valgrind.bash $(target)/etc/bash_completion.d/valgrind
 
 
 binary-indep: build install
