=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	dh_clean debian.supp
 	$(MAKE) -f debian/rules unpatch
 
-target=$(CURDIR)/debian/valgrind
+target=$(CURDIR)/debian/valgrind-3.6.0
 install: build
 	dh_testdir
 	dh_testroot
