## valgrind-3.6.0 3.6.0~svn20100724-0ubuntu2-maemo8

=== debian/changelog ===
valgrind-3.6.0 (1:3.6.0~svn20100724-0ubuntu2-maemo8) maverick; urgency=low

  * Packaged for Fremantle, optified
  * http://permalink.gmane.org/gmane.comp.debugging.valgrind/10563

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 10 May 2011 20:33:28 +0200
