## valgrind-3.6.0 3.6.1-maemo1

=== debian/changelog ===
valgrind-3.6.0 (1:3.6.1-maemo1) maverick; urgency=low

  * Packaged for Fremantle, optified
  * http://permalink.gmane.org/gmane.comp.debugging.valgrind/10563

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 11 May 2011 00:14:28 +0200
