=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: valgrind-3.6.0
 Section: devel
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrés Roldán <aroldan@debian.org>
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper (>= 5), libc6-dev (>> 2.3.0), autotools-dev, dpatch (>> 2.0.0), gdb, gcc-multilib [amd64], libc6-dev-i386 (>> 2.3.0) [amd64]
 Standards-Version: 3.7.3.0
 
 Package: valgrind-3.6.0
 Architecture: i386 amd64 powerpc lpia armel
 Depends: ${shlibs:Depends}, libc6-dbg
+Conflicts: valgrind-callgrind
+Provides: valgrind-callgrind
+Suggests: kcachegrind, alleyoop, valkyrie (>> 1.3.0)
 Recommends: gdb
-Description: A memory debugger and profiler (from Lucid. non-Optified)
+Description: A memory debugger and profiler
  Valgrind is a GPL'd tool to help you find memory-management problems in your
  programs. When a program is run under Valgrind's supervision, all reads and
  writes of memory are checked, and calls to malloc/new/free/delete are
