=== debian/rules ===
--- 
+++ 
@@ -49,13 +49,13 @@
 	$(MAKE) install prefix=$(target)/opt/valgrind
 
 	#Folder for default suppress file (no reason for optify)
-	install -d $(target)/usr/lib/
+	install -d $(target)/usr/lib/valgrind
 
 	#Folder for start script on /usr/bin
 	install -d $(target)/usr/bin
 
 	#suppress file
-	cp -f debian/debian-libc6-dbg.supp $(target)/usr/lib/valgrind
+	cp -f debian/debian-libc6-dbg.supp $(target)/usr/lib/valgrind/
 
 	#start-script
 	cp $(CURDIR)/valgrind_start_script.sh $(target)/usr/bin/valgrind
